/*Copyright: Tim vor der Brck 1999

This software is released under the GNU General Public License.
It may be redistributed as long this copyright remark is not
removed or modified.
*/

#ifndef array
#define array

template <class type>
void AllocMatrix(type**& ppt,int z,int s)
{
	bool error=false;
	ppt=new type*[z];
	if (ppt==NULL) return;

	for (int i=0;i<z;i++)
	{
		ppt[i]=new type[s];
		if (ppt[i]==NULL) error=true;
	}
	if (error) FreeMatrix(ppt,z);
}

template <class type>
void FreeMatrix(type** ppt,int z)
{
	if (ppt==NULL) return;
	for (int i=0;i<z;i++)
		if (ppt[i]!=NULL) delete [] ppt[i];
	delete [] ppt;
	ppt=NULL;
}

#endif
