#ifndef statuswindowh
#define statuswindowh

/* should be allocated dynamically with the new operator like sw=new StatusWindow();
 */

#include <X11/Xlib.h>
#include <X11/Xutil.h>
#include <X11/Xos.h>
#include <X11/Xatom.h>
#include <string>

using namespace std;

class Statuswindow
{
 public:
  /** creates a new status window*/
  Statuswindow(Display* display,int width,int height);

  ~Statuswindow();

  /** clears the contents of the statuswindow */
  void clear();

  /** copies internal representation to the window*/
  void draw(Window win);

  /** draws a string array with length num */
  void drawStrings(string ppstr[],int num);

 private:
  Display* m_display;
  Pixmap m_pixmap;
  int m_depth;
  int m_screennr;
  Window m_defroot;
  Window m_root;
  GC m_gc; 
  XFontStruct* m_pfs;
  int m_width;
  int m_height;
};

#endif




