/*Copyright: Tim vor der Brck 1999

This software is released under the GNU Library General Public License.
It may be redistributed as long this copyright remark is not
removed or modified.
*/

#ifndef IconSelPh
#define IconSelPh

#include <X11/Xaw/BoxP.h>
#include "IconSel.h"

/* New fields for the IconSelector widget class record */
typedef struct
{
  int make_compiler_happy;
}
IconSelectorClassPart;

/* Full class record declaration */
typedef struct _IconSelectorClassRec
{
  CoreClassPart core_class;
  CompositeClassPart composite_class;
  BoxClassPart box_class;
  IconSelectorClassPart iconSelector_class;
}
IconSelectorClassRec;

typedef struct
{
  Pixel background;
  XtCallbackList callback;
  Pixmap* bitmaps; /*list of pixmaps for buttons*/

  /* private */
  Widget* buttons; /*list of buttons*/
  int numberofbitmaps; /*number of pixmaps*/
  SelectInfo selinfo; /*argument for callback*/
  int* numberofchoice; /*number of called icon*/
} IconSelectorPart;


typedef struct _IconSelectorRec
{
  CorePart core;
  CompositePart composite;
  BoxPart box;
  IconSelectorPart iconSelector;
}
IconSelectorRec;

extern IconSelectorClassRec iconSelectorClassRec;

#endif






